LESS: import CSS keywords, new highlighting and some improvements
ClosedPublic

Authored by jpoelen on Aug 19 2019, 9:52 PM.

Details

Summary

New highlighting (same as CSS):

  • Value Keyword
  • Color
  • Number
  • Unit

Improvements and fixes (same as CSS):

  • number in scientific notation: 12.3e3
  • fix color (#aabbccaabbcc does not exist)
  • keywords: use <include>...##CSS rather than an individual lists

Diff Detail

Repository
R216 Syntax Highlighting
Branch
less (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15322
Build 15340: arc lint + arc unit
jpoelen created this revision.Aug 19 2019, 9:52 PM
Restricted Application added projects: Kate, Frameworks. · View Herald TranscriptAug 19 2019, 9:52 PM
Restricted Application added subscribers: kde-frameworks-devel, kwrite-devel. · View Herald Transcript
jpoelen requested review of this revision.Aug 19 2019, 9:52 PM
dhaumann accepted this revision.Aug 20 2019, 7:08 AM

Lgtm.

Btw, do all highlighting files using the include statement in lists use kateversion="5.53"? If not, we should fix it. In fact, we should extend our highlightingindexer to check this...

This revision is now accepted and ready to land.Aug 20 2019, 7:08 AM
jpoelen added a comment.EditedAug 21 2019, 12:09 AM

The other files that use the include statement are also in version 5.53.

If highlightingindexer adds a version check, it is also necessary to check that the included files are of the same or lower version. Ideally, this should also be done for IncludeRules.

I also note 2 additional changes that can be verified:

  • caseinsensitive WordDetect -> 5.44
This revision was automatically updated to reflect the committed changes.